# Get Transactions

To use this method, you need an [idexo API key](https://idexo.gitbook.io/docs/get-api-key) that has been upgraded to a customer API key. To upgrade, please [contact us](https://t.me/idexo_io). You will need to specify a network, from the following list of supported networks:&#x20;

* avalanche
* bnbchain
* ethereum
* fantom
* polygon

Assuming you have [installed the SDK](https://idexo.gitbook.io/docs/), you can use the following code in your file (instructions on modifying it follows - for more information on how to use it see our [Getting Started](https://idexo.gitbook.io/docs/) tutorial):

```javascript
const ido = require('idexo-sdk')
ido.Utils.getTransactions(apiKey, network, timestampFrom, timestampTo)
.then(res => console.log(res.data))
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idexo.com/utils/get-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
